Finance And Operations Properties - Get Fin Ops Properties
Get Finance and Operations environment properties.
Retrieves Finance and Operations environment properties such as AOS counts, deployment type, and demo dataset.
GET https://api.powerplatform.com/dynamics/environments/{environmentId}/finopsproperties?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
environment
|
path | True |
string (uuid) |
The unique identifier of the environment. |
|
api-version
|
query | True |
string |
The API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved Finance and Operations properties. |
|
| 400 Bad Request |
Bad Request. |
|
| 401 Unauthorized |
Unauthorized. |
|
| 403 Forbidden |
Forbidden. |
|
| 404 Not Found |
Not Found. |
|
| 500 Internal Server Error |
Internal Server Error. |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
| Error | |
|
Fin |
The deployment category of a Finance and Operations environment. |
|
Fin |
Standard error response. |
|
Fin |
Finance and Operations environment properties response. |
Error
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. |
| message |
string |
Error message. |
FinOpsDeploymentCategory
The deployment category of a Finance and Operations environment.
| Value | Description |
|---|---|
| UnifiedDeveloper | |
| UnifiedSandbox | |
| UnifiedProduction | |
| LCSSandbox | |
| LCSProduction | |
| Trial | |
| Unknown |
FinOpsErrorResponse
Standard error response.
| Name | Type | Description |
|---|---|---|
| error |
FinOpsPropertiesResponse
Finance and Operations environment properties response.
| Name | Type | Description |
|---|---|---|
| appId |
string |
The Finance and Operations environment ID (AppId). |
| demoDataset |
string |
The demo dataset name for the environment. |
| deploymentType |
The deployment category of a Finance and Operations environment. |
|
| lastObservedAOSCount |
integer (int32) |
The last observed interactive AOS instance count. |
| lastObservedBatchAOSCount |
integer (int32) |
The last observed batch (non-interactive) AOS instance count. |
| maxAOSCount |
string |
The maximum number of interactive AOS instances configured for the environment. |
| maxBatchAOSCount |
string |
The maximum number of batch (non-interactive) AOS instances configured for the environment. |